using System;
using Server;
using Server.Items;

namespace Server.Mobiles
{
	[CorpseName( "a demon corpse" )]
	public class ShadowDemon : BaseCreature
	{
		public override double DispelDifficulty{ get{ return 95.0; } }
		public override double DispelFocus{ get{ return 50.0; } }

		[Constructable]
		public ShadowDemon () : base( AIType.AI_Mage, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = "a shadow demon";
			Body = 120;
			AnimationMod = 3;
			BaseSoundID = 0x2B8;
			Clan = Clan.Demonic;

			SetStr( 276, 305 );
			SetDex( 46, 65 );
			SetInt( 201, 225 );

			SetHits( 186, 203 );

			SetDamage( 4, 10 );

			SetSkill( SkillName.Concentration, 70.1, 80.0 );
			SetSkill( SkillName.Magery, 70.1, 80.0 );
			SetSkill( SkillName.MagicResist, 85.1, 95.0 );
			SetSkill( SkillName.Tactics, 70.1, 80.0 );
			SetSkill( SkillName.HandToHand, 60.1, 80.0 );

			Fame = 9000;
			Karma = -9000;

			VirtualArmor = 40;
		}

		public override void GenerateLoot()
		{
			AddLoot( LootPack.Average );
			AddLoot( LootPack.Average, 1 );
			AddLoot( LootPack.MedScrolls, 1 );
		}

		public override bool CanRummageCorpses{ get{ return true; } }
		public override Poison PoisonImmune{ get{ return Poison.Lethal; } }
		public override bool BleedImmune{ get{ return true; } }

		public ShadowDemon( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
